/***********************************************************************\
* NLED Text Editor Copyright 1987-2003, Evan Alexander Weaver           *
*                                                                       *
* This source code, and the associated executable programs obtained by  *
* compiling it, are published under the GNU General Public License. See *
* the accompanying file "nled.txt" for the details of this license and  *
* some other comments about NLED and this source code.                  *
*                                                                       *
* File: NLEDKEYS.H                        Date Last Modified: 02-Feb-02 *
*                                                                       *
* Mnemonic definitions for IBM keyboard keys.                           *
* 05-Apr-94: alternate keys for UNIX                                    *
* 20-Mar-95: Linux port                                                 *
* 02-Apr-95: Allow more function keys for Linux                         *
* 08-Jul-96: Win95 port                                                 *
* 08-Jan-97: OS/2  port                                                 *
* 02-Feb-02: new keys in AIX
\***********************************************************************/

#if ZORTECH || WIN95 || __OS2__
    /* Normal key codes */
    #define BS    '\x08'
    #define TAB   '\x09'
    #define LF    '\x0A'
    #define CR    '\x0D'
    #define ESC   '\x1B'
    /* <Ctl/BackSpace>: */
    #define HEX   '\x7F'

    /* Extended key codes */
    #define STAB  0xFF0F
    #define HOME  0xFF47
    #define UP    0xFF48
    #define PGUP  0xFF49
    #define LEFT  0xFF4B
    #define RGHT  0xFF4D
    #define END   0xFF4F
    #define DOWN  0xFF50
    #define PGDN  0xFF51
    #define INS   0xFF52
    #define DEL   0xFF53
    #define CLFT  0xFF73
    #define CRGT  0xFF74
    #define CEND  0xFF75
    #define CPGD  0xFF76
    #define CHOM  0xFF77
    #define CPGU  0xFF84
#elif AIX
    #define CTRL(x) ((x) - '@')
/*    #define BS    03507 */
    #define BS    8
    #define TAB   '\x09'
    #define LF    '\x0A'
    #define CR    '\x0D'
    #define ESC   '\x1B'
    #define HEX   CTRL('X')
    #define STAB  -10
    #define HOME  CTRL('B')
    #define UP    03503 
    #define PGUP  CTRL('U')
    #define LEFT  03504
    #define RGHT  03505
    #define END   CTRL('E')
    #define DOWN  03502
    #define PGDN  CTRL('D')
    #define INS   CTRL('O')
    #define DEL   03612 
    #define CLFT  CTRL('P')
    #define CRGT  CTRL('N')
    #define CEND  CTRL('L')
    #define CPGD  CTRL('R')
    #define CHOM  CTRL('F')
    #define CPGU  CTRL('T')
/*    #define ALT_END 03642 */
    #define ALT_END 03650
    #define ALT_INS 03613
    #define ALT_INS1 03614
    #define ALT_PGDN 03622
    #define ALT_PGUP 03623
    #define ALT_HOME 03506
    #define ALT_STAB 03643
    #define FMIN 1865
    #define FMAX 1904
#else
    #define CTRL(x) ((x) - '@')
    #define BS    0407 
    #define TAB   '\x09'
    #define LF    '\x0A'
    #define CR    '\x0D'
    #define ESC   '\x1B'
    #define HEX   CTRL('X')
    #define STAB  -10
    #define HOME  CTRL('B')
    #define UP    0403 
    #define PGUP  CTRL('U')
    #define LEFT  0404
    #define RGHT  0405
    #define END   CTRL('E')
    #define DOWN  0402
    #define PGDN  CTRL('D')
    #define INS   CTRL('O')
    #define DEL   0512 
    #define CLFT  CTRL('P')
    #define CRGT  CTRL('N')
    #define CEND  CTRL('L')
    #define CPGD  CTRL('R')
    #define CHOM  CTRL('F')
    #define CPGU  CTRL('T')
    #define ALT_END 0550
    #define ALT_INS 0513
    #define ALT_INS1 0514
    #define ALT_PGDN 0522
    #define ALT_PGUP 0523
    #define ALT_HOME 0406
    #define ALT_STAB 0543
    #define FMIN 0411
    #define FMAX 0507
#endif
/*--------------------------END-OF-NLEDKEYS.H--------------------------*/
